> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users

> List all active users.



## OpenAPI

````yaml GET /users
openapi: 3.1.0
info:
  title: MemOS REST APIs
  description: A REST API for managing and searching memories using MemOS.
  version: 1.0.0
servers: []
security: []
paths:
  /users:
    get:
      summary: List all users
      description: List all active users.
      operationId: list_users_users_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserListResponse'
components:
  schemas:
    UserListResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
          example: 200
        message:
          type: string
          title: Message
          description: Response message
          example: Operation successful
        data:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: UserListResponse
      description: Response model for user list operations.

````